TCustomNonblockingServerSocket (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class TCustomNonblockingServerSocket

- java.lang.Object
- - org.apache.thrift.transport.TServerTransport
  - - org.apache.thrift.transport.TNonblockingServerTransport
    - - org.apache.thrift.transport.TNonblockingServerSocket
      - - org.apache.cassandra.thrift.TCustomNonblockingServerSocket

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class TCustomNonblockingServerSocket
      extends org.apache.thrift.transport.TNonblockingServerSocket

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.thrift.transport.TNonblockingServerSocket

      `org.apache.thrift.transport.TNonblockingServerSocket.NonblockingAbstractServerSocketArgs`

    - ### Nested classes/interfaces inherited from class org.apache.thrift.transport.TServerTransport

      `org.apache.thrift.transport.TServerTransport.AbstractServerTransportArgs<T extends org.apache.thrift.transport.TServerTransport.AbstractServerTransportArgs<T>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCustomNonblockingServerSocket(java.net.InetSocketAddress bindAddr, boolean keepAlive, java.lang.Integer sendBufferSize, java.lang.Integer recvBufferSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.thrift.transport.TNonblockingSocket` | `acceptImpl()`

    - ### Methods inherited from class org.apache.thrift.transport.TNonblockingServerSocket

      `close, getPort, interrupt, listen, registerSelector`

    - ### Methods inherited from class org.apache.thrift.transport.TServerTransport

      `accept`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TCustomNonblockingServerSocket

          public TCustomNonblockingServerSocket(java.net.InetSocketAddress bindAddr,
                                                boolean keepAlive,
                                                java.lang.Integer sendBufferSize,
                                                java.lang.Integer recvBufferSize)
                                         throws org.apache.thrift.transport.TTransportException

      Throws:
        `org.apache.thrift.transport.TTransportException`

  - ### Method Detail

    - #### acceptImpl

          protected org.apache.thrift.transport.TNonblockingSocket acceptImpl()
                                                                       throws org.apache.thrift.transport.TTransportException

      Overrides:
        `acceptImpl` in class `org.apache.thrift.transport.TNonblockingServerSocket`
      Throws:
        `org.apache.thrift.transport.TTransportException`

Copyright © 2018 The Apache Software Foundation